Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class BufferFillEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.BufferFillEvent

All Implemented Interfaces:
  java.io.Serializable

    public class BufferFillEvent

extends java.util.EventObject

A semantic event which indicates that the fill state of a disk stream buffer in a sampler channel has changed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`BufferFillEvent(java.lang.Object source, int samplerChn, java.util.Vector<BufferFill> fills)` Constructs a `BufferFillEvent` object.

Method Summary
`java.util.Vector<BufferFill>` | `getChannelBufferFillPercentage()` Gets the new fill state of all disk streams in percent.
`int` | `getSamplerChannel()` Gets the number of the sampler channel for which the buffer fill state change occurred.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferFillEvent

    public BufferFillEvent(java.lang.Object source,
                           int samplerChn,
                           java.util.Vector<BufferFill> fills)

  Constructs a `BufferFillEvent` object.

  Parameters:
    `source` - The object that originated the event.
    `samplerChn` - The number of the sampler channel for which the buffer fill state change occurred.
    `fills` - The new fill state of all disk streams in percent.

Method Detail

### getSamplerChannel

    public int getSamplerChannel()

  Gets the number of the sampler channel for which the buffer fill state change occurred.

  Returns:
    The number of the sampler channel for which the buffer fill state change occurred.

### getChannelBufferFillPercentage

    public java.util.Vector<BufferFill> getChannelBufferFillPercentage()

  Gets the new fill state of all disk streams in percent.

  Returns:
    The new fill state of all disk streams in percent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.